Skip to content

Required Plugins

The following Jenkins plugins are needed in order to use the Piper Library. The list below contains the plugin Id and version of the plugin.

Plugins

  • ace-editor 1.1
  • authentication-tokens 1.3
  • bouncycastle-api 2.16.2
  • branch-api 2.0.14
  • cloudbees-folder 6.2.1
  • credentials 2.1.16
  • credentials-binding 1.13
  • display-url-api 2.1.0
  • docker-commons 1.9
  • docker-workflow 1.10
  • durable-task 1.15
  • git 3.6.2
  • git-client 2.5.0
  • git-server 1.7
  • handlebars 1.1.1
  • icon-shim 2.0.3
  • jquery-detached 1.2.1
  • junit 1.21
  • mailer 1.20
  • matrix-project 1.12
  • momentjs 1.1.1
  • pipeline-build-step 2.5.1
  • pipeline-graph-analysis 1.3
  • pipeline-input-step 2.8
  • pipeline-milestone-step 1.3.1
  • pipeline-model-api 1.2.2
  • pipeline-model-definition 1.1.1
  • pipeline-model-extensions 1.1.1
  • pipeline-rest-api 2.6
  • pipeline-stage-step 2.2
  • pipeline-stage-tags-metadata 1.2.2
  • pipeline-stage-view 2.6
  • pipeline-utility-steps 1.3.0
  • plain-credentials 1.4
  • scm-api 2.2.3
  • script-security 1.34
  • ssh-credentials 1.13
  • structs 1.10
  • workflow-aggregator 2.5
  • workflow-api 2.23.1
  • workflow-basic-steps 2.6
  • workflow-cps 2.41
  • workflow-cps-global-lib 2.7
  • workflow-durable-task-step 2.17
  • workflow-job 2.12.2
  • workflow-multibranch 2.14
  • workflow-scm-step 2.6
  • workflow-step-api 2.13
  • workflow-support 2.16